POST
/v1/organizationsCreate an organization
Authentication
Request
| Name | In | Required | Description |
|---|---|---|---|
x-request-id | header | No | Optional caller-supplied request correlation identifier. |
Idempotency-Key | header | Yes | No description declared. |
Origin | header | Yes | No description declared. |
x-vchat-csrf | header | Yes | No description declared. |
Request body Required
Request body.
{
"$ref": "#/components/schemas/CreateOrganizationRequestDto",
"properties": {
"displayName": {
"example": "Acme Support",
"maxLength": 128,
"type": "string"
}
},
"required": [
"displayName"
],
"type": "object"
}cURL template
Replace path placeholders, the credential, and request body with values valid for your exact scope.
curl --request POST \
+ --url 'https://api.example.com/v1/organizations' \
+ -H 'Authorization: Bearer <token>' \
+ -H 'Content-Type: application/json' \
+ --data '<request-body>'Responses
201
application/json
{
"$ref": "#/components/schemas/OrganizationAccessResponseDto",
"properties": {
"data": {
"$ref": "#/components/schemas/OrganizationAccessDto",
"properties": {
"membership": {
"$ref": "#/components/schemas/OrganizationMembershipDto"
},
"organization": {
"$ref": "#/components/schemas/OrganizationSummaryDto"
}
},
"required": [
"organization",
"membership"
],
"type": "object"
},
"meta": {
"$ref": "#/components/schemas/OrganizationResponseMetaDto",
"properties": {
"nextCursor": {
"nullable": true,
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"requestId"
],
"type": "object"
}
},
"required": [
"data",
"meta"
],
"type": "object"
}400
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}401
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}409
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}429
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}500
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}503A required database or session dependency is unavailable.
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}Contract source
This page is generated from artifacts/openapi/openapi.json. The dedicated endpoint folder documents authorization, validation, errors, consistency, idempotency, events, retries, and client reconciliation.